\LoadClass[a4paper,10pt]{journal} % Changez la taille de la police
                                  % si nécessaire
\RequirePackage[francais]{babel}
\RequirePackage{xunicode}
\RequirePackage[left=10mm,right=10mm,top=10mm,bottom=10mm,noheadfoot]{geometry}
\RequirePackage[left=10mm,right=10mm,top=10mm,bottom=10mm]{geometry}
\RequirePackage{xwords,wrapfig,soul,graphicx,url,tabularx,cellspace}
%\RequirePackage[colorlinks]{hyperref}
\RequirePackage{txfonts,marvosym,amssymb}
\let\oiint\undefined
\RequirePackage{wasysym}

% 17 juin 2007 : lettrine
\RequirePackage{lettrine}
\renewcommand\LettrineFontHook{\noexpand\sans}
\renewcommand\LettrineTextFont{\noexpand\sans\scshape}

% Spécifications de mise en page
\tolerance 1000
\hbadness 1500
\AtBeginDocument{%
  \spaceskip .3333em plus .6666em minus .2222em
  \baselineskip 12pt plus 4pt minus 2pt
}

% Les couleurs
\newif\if@couleur
\DeclareOption{couleur}{\@couleurtrue}
\DeclareOption{gris}{\@couleurfalse}
\ExecuteOptions{couleur}
\ProcessOptions 
\def\EpCadreBord{1.4pt}
\def\EpFilet{.3pt}
\if@couleur
  \definecolor{cadreBord}{rgb}{.6,0,.2}
  \definecolor{cadreFond}{rgb}{1,.97,.8}
  \definecolor{cadreCocampusBord}{rgb}{.3, .3, .3}
  \definecolor{cadreCocampusFond}{rgb}{.85, 1, .6}
  \definecolor{evBord}{rgb}{.4,0,.1}
  \definecolor{evFond}{rgb}{1,.8,.5}
  %\definecolor{BOcal}{rgb}{.6,0,.2}
  %\definecolor{URL}{rgb}{.6,0,.2}
  \def\colorBOcal{990033}
  \def\colorevBord{660019}
  \def\colorURL{A52A2A}
\else
  \definecolor{cadreBord}{gray}{0}
  \definecolor{cadreFond}{gray}{.97}
  \definecolor{evBord}{gray}{0}
  \definecolor{evFond}{gray}{.83}
  %\definecolor{BOcal}{gray}{0}
  %\definecolor{URL}{gray}{0}
  \def\colorBOcal{000000}
  \def\colorevBord{000000}
  \def\colorURL{7b7b7b}
\fi
\definecolor{gray}{gray}{.5}
\definecolor{lightgray}{gray}{.75}
\def\coloretexte#1{\addfontfeature{Color=#1}}

% Polices de texte
%\setmainfont[SmallCapsFont={Linux Libertine O C}]{Gentium}
% Linux Libertine a les mêmes métriques que la Gentium utilisée
% précédemment. Par contre, si on met Gentium, c'est plus les mêmes. Le
% monde a dû être remplacé par un truc totalement incompréhensible. 
\defaultfontfeatures{Ligatures=Common,Mapping=tex-text}
%\setmainfont{Times New Roman}
%\setmainfont{AnkeSans}
\setmainfont{Essays1743}
%\setmainfont{}
%\setmainfont{Final Fantasy}
%\setmonofont[ExternalLocation]{lmtypewriter10-regular.otf}
\newfontfamily\mainfont{Essays1743}
%\newfontfamily\mainfont{Toontime}
%\newfontfamily\garamond{Garamond}
%\newfontfamily\timesroman{Times New Roman}
\newfontfamily\sans{AnkeSans}
%\newfontfamily\dejavu{DejaVu Serif}
%\newfontfamily\dejavusans{DejaVu Sans}
% Polices de titres
\newfontfamily\bocal{pointy}
% Pour Halloween, remplacer la ligne précédente par \newfontfamily\bocal{Bonbon Bleu}

%%%%%%%%%%%%%%%%%
%%  HALLOWEEN  %%
%%%%%%%%%%%%%%%%%

\newfontfamily\evenementf{Fluoxetine}
\newfontfamily\evenementbis{Tiza}

\newfontfamily\lucidablack{Lucida Blackletter}
\newfontfamily\titres{Tiza}
\newfontfamily\planning{AnkeSans}
%\newfontfamily\auriol{Auriol}
%\newfontfamily\clairvaux{ClairVaux}
%\newfontfamily\ducdeberry{DucDeBerry}
%\newfontfamily\finalf{Final Fantasy}
%\newfontfamily\chap{Liberation Sans}
\newfontfamily\chap{AnkeSans}
\newfontfamily\manuscrit{Ellianarelle's Path}

% Langues exotiques
%\newfontfamily\japfont{Sazanami Mincho}
%\newfontfamily\aladdin{Aladdin}
%\newfontfamily\papyrus{Papyrus}

%\newcommand{\tf}[1]{{\bfseries \sans #1}}
\newcommand{\tf}[1]{{\planning \small #1}}
\def\EUR{{\titres €}}

\def\b@font#1#2{\def#1{\fontfamily{#2}\selectfont}}
% Polices de texte
%\b@font\bembo      {pbb}
%\b@font\garamond   {pgm}
%\b@font\timesroman {ptm}
% Polices de titrage
%\b@font\auriol     {pau}
%\b@font\clairvaux  {pcv}
%\b@font\ducdeberry {pdd}
\b@font\fonttx {txr}
\def\slshape\itshape

\pagestyle{empty}

\def\contour#1{{\Huge\bocal \coloretexte{ffffff} #1}}

%\RequirePackage{pst-text} %% doit aller après les couleurs...
%\def\contour#1{\vbox to 0pt{\vss \hbox{\Huge\bocal
%\pscharpath[fillstyle=solid,fillcolor=white,linewidth=.4pt,linecolor=black]
%{#1}}\vskip -4pt}}

% Objets
\let\article\texte
\long\def\cadre#1{\gencadre{\EpCadreBord}{3pt}{cadreBord}{cadreFond}%
{ \bfseries \jointif #1\jointif}}
\long\def\scadre#1{\gencadre{\EpCadreBord}{3pt}{cadreBord}{cadreFond}%
{\jointif #1\jointif\@killglue}}
\long\def\cocampus#1{\gencadre{\EpCadreBord}{3pt}{cadreCocampusBord}{cadreCocampusFond}%
{\jointif #1\jointif\@killglue}}
\long\def\stitre#1{%\filet
  \begingroup \centering\titres\bfseries %\large
  \spaceskip .2em plus 0em minus .15em #1\par\penalty 50\medskip
  \endgroup
}
%\newcommand\PS[2][P. S.]{\smallskip\par #1~:\hskip 1em plus 1em\lowercase{#2}}
%\newcommand\NDLR[2][NDLR.]{\PS[#1]{#2}}

\def\CLUBINUTILE{\gencadre{\EpCadreBord}{3pt}{cadreBord}{}{%
   \centerline{\includegraphics[width=6cm]{ClubInutile.jpg}}}}

\def\chapeau#1{\gencadre{0pt}{0pt}{white}{cadreBord}%
  {\centering\chap\bfseries \large
  \color{white}\vphantom{pb}\vskip -12pt #1}}
\sodef\sobandeau{}{.2em plus 1fil}{1em plus 3fil}{1em plus 1fil}

\def\chapeaunoir#1{\gencadre{0pt}{0pt}{white}{black}%
  {\centering\chap\bfseries \large
  \color{white}\vphantom{pb}\vskip -12pt #1}}
\sodef\sobandeau{}{.2em plus 1fil}{1em plus 3fil}{1em plus 1fil}

\def\chapeauedito#1{\gencadre{0pt}{1pt}{white}{cadreBord}%
  {\centering\chap\bfseries \large
  \color{white}\vphantom{pb}\vskip -12pt #1}}
\sodef\sobandeau{}{.2em plus 1fil}{1em plus 3fil}{1em plus 1fil}

%\def\bandeau#1{\chapeau{\sobandeau{#1}}}

\def\evenement#1#2#3{\J@obj@ht 39mm
  \gencadre{\EpCadreBord}{3pt}{evBord}{evFond}{%
  \vskip -2mm \hbox{\evenementf\LARGE\bfseries\color{evBord} {\LARGE \'E}\underbar{vénement}}%
  \vskip 0pt plus 10mm \centerline{\evenementbis\LARGE#1}%
  \vskip 0pt plus 3mm \centerline{\sans \large #2}%
  \vskip 0pt plus 4mm \hbox to\hsize{\hfill\it\sans #3\hskip 2mm}%
}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%titre "Le BOcal" sans logo
\def\titrebocal{\place 1[4]t\manchette}
\def\manchette{\@ifnextchar[\manch@img{\manch@{O}}}
\def\manch@img[#1]{\manch@{\raisebox{0pt}[0pt][0pt]{\includegraphics[width=30mm]{#1}}}}
\def\manch@#1#2#3{\texte{\vsize 45mm
  \vbox{\hbox{\hskip 20pt \fontsize{120pt}{100pt}%
    {\bocal\coloretexte \colorBOcal Le \hskip 40pt B#1cal}}%
  \vskip 5pt%
  \kern-10pt \hbox to \hsize{\vrule width \textwidth height 1.8pt \hfil}%
  \kern-2pt \hbox to \hsize{\hbox to 190pt{\hfil \fonttx \sc\bfseries #2}%
  \hskip 25pt \fonttx \sc\bfseries #3 \hfil}}%
  \vskip 1pt
  \kern -9pt \hbox to \hsize{\vrule width \textwidth height 1.8pt \hfil}%
  \vskip -7pt
}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Titre "Le BOcal" avec logo. Se change dans la page 1
\def\titrebocallogo{\place 1[4]t\manchettelogo}
\def\manchettelogo{\@ifnextchar[\manchlogo@img{\manchlogo@{O}}}
\def\manchlogo@img[#1][#2]{\manchlogo@{\raisebox{2pt}[0pt][0pt]{\includegraphics[width=140pt]{#1}}}
{\raisebox{8pt}[0pt][0pt]{\includegraphics[width=117pt]{#2}}}}
% La raisebox contrôle la distance entre le début de la page et le logo, en hauteur.
\def\manchlogo@#1#2#3#4{\texte{\vsize 45mm
  \vbox{\vskip -10pt \hskip -11pt \hbox{\fontsize{125pt}{100pt}%contrôle la taille du texte du titre
    {\bocal\coloretexte \colorBOcal L \hskip -30pt #2 \hskip 31pt {\raisebox{-60 pt}[0pt][0pt]{\rotatebox{25} B}} \hskip -64pt #1 cal}}%
% Le premier nombre change la distance entre le L et "poiscaille".
% Le second change la distance entre "poiscaille" et le B. La raisebox ajuste la hauteur du B, la rotatebox sa rotation.
% Le troisième contrôle l'espace entre le B et le logo. Il est négatif pour que les gouttes passent au dessus du B.
  \vskip -2.5pt% L'espace en dessous du titre.
  \kern -10pt \hbox to \hsize{\vrule width 190pt height 2.1pt \hskip 88pt \leaders \hrule height 2.1pt \hfil}%
  % Une première ligne horizontale, d'épaisseur height, courant sur width, avant de s'interrompre sur hskip (place du logo), avant de reprendre jusqu'à la fin de la page.
  \kern-2pt \hbox to \hsize{\hfil \hbox to 0pt {\fonttx \sc\bfseries #4}
  \hskip 435pt \fonttx \sc\bfseries #3}}%
  % deux blocs de texte, #3 et #4, où l'on met habituellement le numéro et la date.
  \vskip 1pt
  \kern -9pt \hbox to \hsize{\vrule width 195pt height 2.1pt \hskip 88pt \leaders \hrule height 2.1pt \hfil}
  %Une seconde ligne horizontale, d'épaisseur height, courant sur width, avant de s'interrompre sur hskip (place du 'B'), avant de reprendre jusqu'à la fin de la page.
  \vskip -4.3pt
}}

\def\titrebocallogoo{\place 1[4]t\manchettelogoo}
\def\manchettelogoo{\@ifnextchar[\manchlogo@img{\manchlogoo@{O}}}
\def\manchlogoo@img[#1][#2]{\manchlogoo@{\raisebox{2pt}[0pt][0pt]{\includegraphics[width=140pt]{#1}}}
{\raisebox{8pt}[0pt][0pt]{\includegraphics[width=117pt]{#2}}}}
% La raisebox contrôle la distance entre le début de la page et le logo, en hauteur.
\def\manchlogo@#1#2#3#4{\texte{\vsize 45mm
  \vbox{\vskip -10pt \hskip -11pt \hbox{\fontsize{125pt}{100pt}%contrôle la taille du texte du titre
    {\bocal\coloretexte \colorBOcal Le \hskip 40pt MEgal}}%
% Le premier nombre change la distance entre le L et "poiscaille".
% Le second change la distance entre "poiscaille" et le B. La raisebox ajuste la hauteur du B, la rotatebox sa rotation.
% Le troisième contrôle l'espace entre le B et le logo. Il est négatif pour que les gouttes passent au dessus du B.
  \vskip -2.5pt% L'espace en dessous du titre.
  \kern -10pt \hbox to \hsize{\vrule width 350pt height 2.1pt \hskip 70pt \leaders \hrule height 2.1pt \hfil}%
  % Une première ligne horizontale, d'épaisseur height, courant sur width, avant de s'interrompre sur hskip (place du logo), avant de reprendre jusqu'à la fin de la page.
  \kern-2pt \hbox to \hsize{\hfil \hbox to 0pt {\fonttx \sc\bfseries #4}
  \hskip 435pt \fonttx \sc\bfseries #3}}%
  % deux blocs de texte, #3 et #4, où l'on met habituellement le numéro et la date.
  \vskip 1pt
  \kern -9pt \hbox to \hsize{\vrule width 195pt height 2.1pt \hskip 0pt \leaders \hrule height 2.1pt \hfil}
  %Une seconde ligne horizontale, d'épaisseur height, courant sur width, avant de s'interrompre sur hskip (place du 'B'), avant de reprendre jusqu'à la fin de la page.
  \vskip -4.3pt
}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Titre "Le BOcal" avec l'ancien logo. Se change dans la page 1
\def\titrebocallogold{\place 1[4]t\manchettelogold}
\def\manchettelogold{\@ifnextchar[\manchlogold@img{\manchlogold@{O}}}
\def\manchlogold@img[#1]{\manchlogold@{\raisebox{-53pt}[0pt][0pt]{\includegraphics[width=257pt]{#1}}}}
% La raisebox contrôle la distance entre le début de la page et le logo, en hauteur.
\def\manchlogold@#1#2#3{\texte{\vsize 45mm
  \vbox{\vskip -2pt \hbox{\hskip 20pt  \fontsize{120pt}{100pt}%contrôle la taille du texte du titre
    {\bocal\coloretexte \colorBOcal \hskip 220pt #1 \hskip -490pt Le \hskip 50pt B \hskip 95pt cal}}%
% Le premier nombre change la distance entre LE LOGO et le début de la ligne.
% Le second change la distance entre le LOGO et le début du texte (nombre NEGATIF).
% Le troisième contrôle l'espace les mots "Le" vet "BOcal".
% Le quatrième contrôle l'espace entre B et cal, ie l'espace autour du logo.
  \vskip 12pt% L'espace en dessous du titre.
  \kern-10pt \hbox to \hsize{\vrule width 242pt height 1.8pt \hskip 225pt \leaders \hrule height 1.8pt \hfil}%
  % Une première ligne horizontale, d'épaisseur height, courant sur width, avant de s'interrompre sur hskip (place du logo), avant de reprendre jusqu'à la fin de la page.
  \kern-2pt \hbox to \hsize{\hfil \hbox to 0pt {\fonttx \sc\bfseries #3}
  \hskip 350pt \fonttx \sc\bfseries #2 }}%
  % deux blocs de texte, #2 et #3, où l'on met habituellement le numéro et la date.
  \vskip 1pt
  \kern -9pt \hbox to \hsize{\vrule width 267pt height 1.8pt \hskip 157pt \leaders \hrule height 1.8pt \hfil}
  %Une seconde ligne horizontale, d'épaisseur height, courant sur width, avant de s'interrompre sur hskip (place du logo), avant de reprendre jusqu'à la fin de la page.
  \vskip -4.3pt
}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Titre BOcalmagazine. Se change en page 1.
\def\titrebocalmag{\place 1[4]t\manchettemag}
\def\manchettemag{\@ifnextchar[\manchmag@img{\manchmag@{O}}}
\def\manchmag@img[#1]{\manchmag@{\raisebox{0pt}[0pt][0pt]{\includegraphics[width=30mm]{#1}}}}
\def\manchmag@#1#2#3{\texte{\vsize 45mm
  \vbox{\hbox{\hskip 20pt \fontsize{120pt}{100pt}%
    {\kern-23pt \fontsize{75pt}{75pt} \bocal\coloretexte \colorBOcal B#1cal \hskip
    5pt {\fontsize{39pt}{39pt} \titres Magazine}}}%
  \vskip 10pt%
  \kern-10pt \hbox to \hsize{\vrule width 0.67\textwidth height 1.8pt \hfil}%
  %\vskip 2pt
  \kern-10pt \hbox to \hsize{\hbox to 0.8\textwidth{\hfil \fonttx \sc\bfseries #2}%
  \hskip 15pt \fonttx \sc\bfseries #3 \hfil}}%
  %\vskip 1pt
  %\kern-10pt \hbox to \hsize{\vrule width \textwidth height 1.8pt \hfil}%
  \vskip 1pt
}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Titre BOcalOwski. Se change en page 1.

\def\titrebocalowski{\place 1[4]t\manchetteski}
\def\manchetteski{\@ifnextchar[\manchski@img{\manchski@{O}}}
\def\manchski@img[#1]{\manchski@{\raisebox{-62pt}[0pt][0pt]{\includegraphics[width=237pt]{#1}}}}
% Le -62 contrôle la distance entre le début de la page et le logo.
\def\manchski@#1#2#3{\texte{\vsize 45mm
  \vbox{\vskip -2pt \hbox{\hskip 20pt  \fontsize{100pt}{100pt}% contrôle la taille du texte du titre
   %
    {\bocal\coloretexte \colorBOcal \hskip 220pt #1 \hskip -483pt BOcal \hskip 90pt wski}}%
% Le premier nombre change la distance entre LE LOGO et le début de la ligne. Le second change la distance entre le LOGO et le début du texte (nombre NEGATIF) le troisième contrôle l'espace entre les deux parties du texte
  \vskip 21pt%
  \kern-10pt \hbox to \hsize{\vrule width 242pt height 1.8pt \hskip 209pt \leaders \hrule height 1.8pt \hfil}%
  %\vskip 2pt%
  \kern-2pt \hbox to \hsize{\hfil \hbox to 0pt {\fonttx \sc\bfseries #3}%
  \hskip 350pt \fonttx \sc\bfseries #2 }}%
  \vskip 1pt
  \kern -9pt \hbox to \hsize{\vrule width 254pt height 1.8pt \hskip 163pt \leaders \hrule height 1.8pt \hfil}%
  \vskip -4.3pt
}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Titre COntes du BOcal. Se change en page 1.

\def\titrebocalcontes{\place 1[4]t\manchettecontes}
\def\manchettecontes{\@ifnextchar[\manchcontes@img{\manchcontes@{O}}}
\def\manchcontes@img[#1]{\manchcontes@{\raisebox{-53pt}[0pt][0pt]{\includegraphics[width=245pt]{#1}}}}
% Le -53 contrôle la distance entre le début de la page et le logo.
\def\manchcontes@#1#2#3{\texte{\vsize 45mm \vbox{\vskip -2pt \hbox{\hskip 20pt  \fontsize{100pt}{100pt}
% contrôle la taille du texte du titre
    {\bocal\coloretexte \colorBOcal \hskip 205pt #1 \hskip -480pt Les \hskip 35pt C \hskip 80pt ntes}}%
% Le premier nombre change la distance entre LE LOGO et le début de la ligne. Le second change la distance entre le LOGO et le début du texte (nombre NEGATIF) le troisième contrôle l'espace entre les deux parties du texte
  \vskip 11pt%
  \hbox{\fontsize{55pt}{55pt}{\bocal\coloretexte \colorBOcal du \hskip 17pt BOcal}}
  \vskip -38pt%
  \kern-2pt \hbox to \hsize{\hfil \hbox to 0pt {\hskip -55pt \fonttx \sc\bfseries #3}}%
  \vskip 1pt
  \kern-2pt \hbox to \hsize{\hfil \hbox to 0pt {\hskip -70pt \fonttx \sc\bfseries #2}}%
  %\hskip 350pt \fonttx \sc\bfseries #2 double accolade fermante %
  \vskip 13pt
  \kern -9pt \hbox to \hsize{\vrule width 0pt height 1.8pt \hskip 239pt \leaders \hrule height 1.8pt \hfil}%
  \vskip 5.3pt
}}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Titre BocallOween
\def\titrebocalloween{\place 1[4]t\manchetteween}
\def\manchetteween{\@ifnextchar[\manchween@img{\manchween@{O}}}
\def\manchween@img[#1]{\manchween@{\raisebox{0pt}[0pt][0pt]{\includegraphics[width=30mm]{#1}}}}
\def\manchween@#1#2#3{\texte{\vsize 45mm
  \vbox{\hbox{\hskip 47pt \fontsize{140pt}{100pt}%
    {\bocal\coloretexte \colorBOcal B\hskip 2pt #1\hskip 2pt c\hskip 2pt a\hskip 2pt l\hskip 2pt l\hskip 2pt o\hskip 2pt w\hskip 2pt e\hskip 2pt e\hskip 2pt n}}%
  \vskip 5pt%
  \kern-10pt \hbox to \hsize{\vrule width \textwidth height 1.8pt \hfil}%
  %\vskip 2pt%
  \kern-2pt \hbox to \hsize{\hbox to 190pt{\hfil \fonttx \sc\bfseries #2}%
  \hskip 25pt \fonttx \sc\bfseries #3 \hfil}}%
  \vskip 1pt
  \kern -9pt \hbox to \hsize{\vrule width \textwidth height 1.8pt \hfil}%
  \vskip -7pt
}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\filet{\genfilet{\EpFilet}{2em}{cadreBord}}
%\separateur{i}{\EpFilet}{lightgray}
\separateur{i}{\EpFilet}{white}
%\separateur{lr}{\EpFilet}{black}
\separateur{lr}{\EpFilet}{white}

\long\def\titre#1{\filet %\vskip 3pt
  \begingroup \centering\titres\bfseries \small
   ~ \par \spaceskip .4em plus 0em minus .3em #1\par\penalty 50\medskip
  \endgroup
}
\long\def\soustitre#1{\par\smallbreak
  \begingroup \raggedright\titres\bfseries \scriptsize %\footnotesize
 #1\par\penalty 10
  \endgroup
}
\long\def\signature#1{\par\penalty 20\smallskip 
  \begingroup \raggedleft \manuscrit {\em #1} \par
  \endgroup
}

%\def\reaction#1#2{\centering{«\large #1»\par\vskip -.3\baselineskip
%   \signature{#2}\medskip}\ignorespaces}
%\def\contrepet#1#2{{{\raggedright#1\par}
%  \raggedleft  \emph{#2}\par\smallskip}\ignorespaces}

\def\BOcal{\mbox{\bocal\large {\raisebox{-3 pt}[0pt][0pt]{\rotatebox{25} B}}\hspace{-0.5 mm}Ocal}}
\def\BOcals{\mbox{\bocal\large {\raisebox{-3 pt}[0pt][0pt]{\rotatebox{25} B}}\hspace{-0.5 mm}Ocals}}
\def\BOcaux{\mbox{\bocal\large {\raisebox{-3 pt}[0pt][0pt]{\rotatebox{25} B}}\hspace{-0.5 mm}Ocaux}}
\def\BOcaleux{\mbox{\bocal\large {\raisebox{-3 pt}[0pt][0pt]{\rotatebox{25} B}}\hspace{-0.5 mm}Ocaleux}}
\def\BOcaleuse{\mbox{\bocal\large {\raisebox{-3 pt}[0pt][0pt]{\rotatebox{25} B}}\hspace{-0.5 mm}Ocaleuse}}
\def\BOcaleuses{\mbox{\bocal\large {\raisebox{-3 pt}[0pt][0pt]{\rotatebox{25} B}}\hspace{-0.5 mm}Ocaleuses}}
\def\BOcarts{\mbox{\bocal\large {\raisebox{-3pt}[0pt][0pt]{\rotarebox{25} B}}\hspace{-0.5 mm}OcArts}}
\def\BOUM{{\manuscrit BOUM}}
\def\ndlr#1{{\textit{ [NdlR~: #1]}}}
%\DeclareUTFcharacter[\UTFencname]{x275B}{\normalcomma}
%\def\normalapostrophe{{\dejavu \normalcomma}}

\def\BOcalmag{\BOcal{\titres \footnotesize mag'}}

\def\ligne#1{
\article{
  \evenementf \large
  \centerline{#1}
}}

\def\image#1#2{
  \gencadre{\EpCadreBord}{0pt}{white}{white}{%
  \centerline{\includegraphics[width=#2cm]{#1}}}}

\def\imagelegende#1#2#3{
  \gencadre{\EpCadreBord}{0pt}{white}{white}{%
  \centerline{\includegraphics[width=#2cm]{#1}}
  \centerline{\large \textbf{#3}}}}

\def\imagelegendebis#1#2#3#4{
  \gencadre{\EpCadreBord}{0pt}{white}{white}{%
  \centerline{\includegraphics[width=#2cm]{#1}}
  \centerline{\large \textbf{#3}}
  \centerline{\large \textbf{#4}}}}

\newcount\iter
%\def\LOREM{%
%\strut
%Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
%tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim
%veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea
%commodo consequat. Duis aute irure dolor in reprehenderit in voluptate
%velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint
%occaecat cupidatat non proident, sunt in culpa qui officia deserunt
%mollit anim id est laborum.}
%\def\lorem#1{\iter = 0\loop \ifnum \iter < #1 \LOREM\ \advance\iter by
%1\repeat}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mots croisés
% On utilise le package xwords.
\newbox\cwbox
\def\endcrosswords{\cw@end
  \global \setbox\cwbox=\box0
  \endgroup\ignorepar}
\def\grille{\vskip-.4\baselineskip
  \begin{wrapfigure}{l}{\the\wd\cwbox}\vskip -\baselineskip
  \box\cwbox\end{wrapfigure}}
\long\def\motscroises#1{\cadre{\chapeau{Mots croisés}\grille #1}}
\def\J@txt@init{%
  \let\genfilet\txtgenfilet
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\UrlFont{\em \coloretexte\colorURL}
\def\mail#1{\href{mailto:#1}{\UrlFont #1}}
\def\web#1{\url{#1}}

\def\date#1{{\bfseries #1}}

\leftmargini 1em
\leftmarginii 1.3333em
\leftmarginiii 1.6667em
\leftmarginiv 2em
\def\labelenumi{\theenumi. }
\def\labelenumii{\alph{enumi}. }
\def\labelenumiii{(\roman{enumi})}

% Quelques commandes pour des alias de BOcaleux
\def\cbdc{C\begin{bocal}B\end{bocal}DC}

\def\spaghettiinfini{$\infty$Sh}
\def\ISh{\spaghettiinfini}
\def\Ish{\spaghettiinfini}
\def\iSh{\spaghettiinfini}
\def\ish{\spaghettiinfini}
\def\IS{\spaghettiinfini} % Maintenu pour la compatibilité

% À la demande de Ted, qui n'est pas foutu de mettre une footnote
\def\bas#1{\footnote{#1}}

